<?
/*
	SCRIPT __ErrorDocument.php
	Version 5.0 du 2013-06 :: modifiée pour prendre en compte la lang du navigateur
	Php ver >= 5.3
	Format de fichier : UTF-8
	---------------------------------------------------------------------------
	Auteur : Vincent Humeau
	Copyright : © 2011-2013 Trans-Sphère sarl, tous droits réservés
	---------------------------------------------------------------------------
*/
// Configuration générale
	require_once( '____config.php');
	$test_lang = false;
	$lang = 'fr';
// Initialisation
	if(!isset($o_db))	$o_db	= new _Mysql(array('host'=>_BDD_HOST_,'db'=>_BDD_DB_,'user'=>_BDD_USER_,'pwd'=>_BDD_PWD_));
	if(!isset($o_env))	$o_env	= new _Env($o_db);
	if(!isset($o_log))	$o_log	= new _Log($o_env);
	if(isset($CODE_RESPONSE)) $o_log->status = $CODE_RESPONSE;
// Log
	if(_LOGS_IN_BDD_ && ($o_log->status != 503)){
		if(defined("_BDD_LOGS_HOST_")){
			if(!isset($o_db_logs))	$o_db_logs	= new _Mysql(array('host'=>_BDD_LOGS_HOST_,'db'=>_BDD_LOGS_DB_,'user'=>_BDD_LOGS_USER_,'pwd'=>_BDD_LOGS_PWD_));
			$o_log->insert_db($o_db_logs);
		}else $o_log->insert_db($o_db);
	}
	if(isset($MSG_ERREUR)) $o_log->message = $MSG_ERREUR;
	if(!empty(_MAIL_DEVELOPPEUR_)) $o_log->mail_sender($o_env);
	
	switch($o_log->status){
		case 403 :	$TITRE['fr'] = 'Accès refusé';
					$SPEECH['fr'] = 'L\'accès à l\'URL requise ne vous est pas autorisé.<br />';
					$SPEECH['fr'].= 'Si vous considérez cet état de fait comme trop injuste, veuillez en faire part au concepteur du site : <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					
					$TITRE['en'] = 'Forbidden';
					$SPEECH['en'] = 'Access to the requested URL is forbidden.<br />';
					$SPEECH['en'].= 'If you consider this unfair, please inform the site designer: <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					break;
		case 404 :	$TITRE['fr'] = 'Objet non trouvé';
					$SPEECH['fr'] = 'L\'URL requise n\'a pu être trouvée sur ce serveur.<br />';
					$SPEECH['fr'].= 'La référence sur la page demandée semble être erronée ou perimée.<br />';
					$SPEECH['fr'].= 'Si vous pensez qu\'il s\'agit d\'une erreur du serveur, veuillez contacter le gestionnaire du site : <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					
					$TITRE['en'] = 'Not Found';
					$SPEECH['en'] = 'The requested URL could not be found on this server.<br />';
					$SPEECH['en'].= 'The reference to the requested page appears to be wrong or outdated.<br />';
					$SPEECH['en'].= 'If you think that this may be a server error, please contact the site manager: <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					break;
		case 405 :	$TITRE['fr'] = 'Méthode de requête non autorisée';
					$SPEECH['fr'] = 'La méthode employée pour accéder à cette URL n\'est pas autorisée.';
					
					$TITRE['en'] = 'Method Not Allowed';
					$SPEECH['en'] = 'The method used to access this URL is not allowed.';
					break;
		case 406 :	$TITRE['fr'] = 'Requête inacceptable';
					$SPEECH['fr'] = 'Votre requête sur cette URL n\'est pas acceptable en l\'état. Veuillez respecter la navigation normalement prévue.';
					
					$TITRE['en'] = 'Request unacceptable';
					$SPEECH['en'] = 'Your request in relation to this URL is unacceptable. Please follow normal browser conditions.';
					break;
		case 500 :	$TITRE['fr'] = 'Erreur interne du serveur';
					$SPEECH['fr'] = 'L\'accès à l\'URL requise a déclenchée une erreur interne du serveur.<br />';
					$SPEECH['fr'].= 'Si cette erreur persiste, vous pouvez la signaler au service de maintenance de ce site : <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					
					$TITRE['en'] = 'Internal Server Error';
					$SPEECH['en'] = 'Access to the requested URL has triggered an internal server error.<br />';
					$SPEECH['en'].= 'If this error persists, you may report it to the maintainers of this site: <a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>.';
					break;
		case 503 :	$TITRE['fr'] = 'Service temporairement indisponible ou en maintenance';
					$SPEECH['fr'] = 'L\'URL requise ne peut pas être actuellement servie par le serveur.<br />';
					$SPEECH['fr'].= 'Cette situation est, dans la plupart des cas, due à un trop grand nombre de connexions simultanées.<br />';
					$SPEECH['fr'].= 'Veuillez patienter quelques secondes puis réactualisez cette page (touche F5 généralement).<br />';
					$SPEECH['fr'].= 'Le service de maintenance de ce site (<a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>) a été prévenu de cet incident.';
					
					$TITRE['en'] = 'Service temporarily unavailable or maintenance in progress';
					$SPEECH['en'] = 'The requested URL cannot currently be served by the server.<br />';
					$SPEECH['en'].= 'This is, in most cases, due to too many simultaneous connections.<br />';
					$SPEECH['en'].= 'Please wait a few seconds and then refresh this page (F5 key usually).<br />';
					$SPEECH['en'].= 'The maintainers of this site (<a href="http://www.trans-sphere.com" onclick="window.open(this.href); return false;">TRANS-SPHÈRE sarl</a>) has been advised of the incident.';
					break;
	}
// Traductions
	$erreur		= array( 'fr' => 'Erreur'
						,'en' => 'Error');
	$accueil	= array( 'fr' => 'Accéder à la page d\'accueil du site'
						,'en' => 'Go to home page Site');
// Entêtes HTTP complémentaires
	header("Content-Type: ".$o_env->content_type."; charset="._ENCODAGE_);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="<?=$o_env->content_type;?>; charset=<?=_ENCODAGE_?>" />
<meta http-equiv="Content-Language" content="<?=$lang;?>" />
<meta http-equiv="refresh" content="10;URL=<?=_URL_SITE_.($test_lang ? $lang.'/':'');?>" />
<title><?=$TITRE[$lang];?></title>
<meta name="title" content="<?=$TITRE[$lang];?>" />
<link rel="shortcut icon" <?=_FAVICON_ICO_;?> />
</head>

<body style="background-color:#FFFFFF;padding:20px;">
	<h1><?=$TITRE[$lang];?></h1>
	<blockquote>
    	<?=$SPEECH[$lang];?>
        <?=(_SITE_EN_DEVELOPPEMENT_ && strpos(_IPS_DEVELOPPEURS_, $o_env->client_front_ip) && $o_log->message) ? '<p style="color:red;">'.$o_log->message.'</p>':'';?>
    </blockquote>
	<h2><?=($lang!="en") ? $erreur[$lang].' '.$o_log->status:$o_log->status.' '.$erreur[$lang];?></h2>
    <blockquote>
        <?=_URL_SITE_ . urldecode(htmlspecialchars(substr($o_env->client_request_uri,1)));?><br />
        <?=date("d/m/Y H:i:s");?>
    </blockquote>
    <h2><?=$accueil[$lang];?></h2>
    <blockquote>
        <p><a href="<?=_URL_SITE_.($test_lang ? $lang.'/':'');?>"><?=_URL_SITE_.($test_lang ? $lang.'/':'');?></a></p>
        <a href="<?=_URL_SITE_.($test_lang ? $lang.'/':'');?>"><img src="<?=_URL_LOGO_;?>" alt="<?=_URL_SITE_;?>" title="<?=_URL_SITE_;?>" style="border:none; width: 150px; height: auto;" /></a>
    </blockquote>
</body>
</html>